## cvlaplace cvlaplace |

## Properties

gint | aperture-size | Read / Write
gdouble | scale | Read / Write
gdouble | shift | Read / Write
gboolean | mask | Read / Write

## Types and Values

struct | GstCvLaplace

## Description

Applies cvLaplace OpenCV function to the image.

### Example launch line

    1
    gst-launch-1.0 videotestsrc ! cvlaplace ! videoconvert ! autovideosink

## Synopsis

### Element Information

plugin | opencv
author | Thiago Santos<thiago.sousa.santos@collabora.co.uk>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstCvLaplace

    struct GstCvLaplace {
      GstOpencvVideoFilter element;

      gint aperture_size;
      gdouble scale;
      gdouble shift;
      gboolean mask;

      IplImage *intermediary_img;
      IplImage *cvGray;
      IplImage *Laplace;
    };

## Property Details

### The `“aperture-size”` property

      “aperture-size”            gint

Size of the extended Laplace Kernel (1, 3, 5 or 7).

Flags: Read / Write

Allowed values: [1,7]

Default value: 3

### The `“scale”` property

      “scale”                    gdouble

Scale factor.

Flags: Read / Write

Allowed values: >= 0

Default value: 1

### The `“shift”` property

      “shift”                    gdouble

Value added to the scaled source array elements.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“mask”` property

      “mask”                     gboolean

Sets whether the detected edges should be used as a mask on the original input or not.

Flags: Read / Write

Default value: TRUE